summaryrefslogtreecommitdiffstats
path: root/BuildTools/Scripts
diff options
context:
space:
mode:
authorassiduous <assiduous@diligentgraphics.com>2021-01-29 05:41:45 +0000
committerassiduous <assiduous@diligentgraphics.com>2021-01-29 05:41:45 +0000
commit7fc8a6d53dda6dfd703b41e199c40d4078edf711 (patch)
treebeb6593081017bce44becd5e5a2b9e246ef4f396 /BuildTools/Scripts
parentTravis: updated XCode version to 12.2 (diff)
downloadDiligentCore-7fc8a6d53dda6dfd703b41e199c40d4078edf711.tar.gz
DiligentCore-7fc8a6d53dda6dfd703b41e199c40d4078edf711.zip
Appveyor and travis: updated CMake to 3.19.3
Diffstat (limited to 'BuildTools/Scripts')
-rw-r--r--BuildTools/Scripts/appveyor/install.bat2
-rwxr-xr-xBuildTools/Scripts/travis/before_install.sh2
-rwxr-xr-xBuildTools/Scripts/travis/build.sh4
-rwxr-xr-xBuildTools/Scripts/travis/build_install.sh4
4 files changed, 6 insertions, 6 deletions
diff --git a/BuildTools/Scripts/appveyor/install.bat b/BuildTools/Scripts/appveyor/install.bat
index d5b13752..5daa5d4a 100644
--- a/BuildTools/Scripts/appveyor/install.bat
+++ b/BuildTools/Scripts/appveyor/install.bat
@@ -1,4 +1,4 @@
-set CMAKE_URL="https://github.com/Kitware/CMake/releases/download/v3.18.2/cmake-3.18.2-win64-x64.zip"
+set CMAKE_URL="https://github.com/Kitware/CMake/releases/download/v3.19.3/cmake-3.19.3-win64-x64.zip"
appveyor DownloadFile %CMAKE_URL% -FileName cmake.zip
7z x cmake.zip -oC:\projects\deps > nul
move C:\projects\deps\cmake-* C:\projects\deps\cmake
diff --git a/BuildTools/Scripts/travis/before_install.sh b/BuildTools/Scripts/travis/before_install.sh
index c1b3d63c..acbea403 100755
--- a/BuildTools/Scripts/travis/before_install.sh
+++ b/BuildTools/Scripts/travis/before_install.sh
@@ -1,4 +1,4 @@
-CMAKE_VERSION="3.18.2"
+CMAKE_VERSION="3.19.3"
VULKAN_SDK_VER="1.2.162.1"
if [ "$TRAVIS_OS_NAME" = "osx" ]; then
diff --git a/BuildTools/Scripts/travis/build.sh b/BuildTools/Scripts/travis/build.sh
index eb1ac790..a22e91b7 100755
--- a/BuildTools/Scripts/travis/build.sh
+++ b/BuildTools/Scripts/travis/build.sh
@@ -10,10 +10,10 @@ fi
if [ "$TRAVIS_OS_NAME" = "osx" ]; then
if [ "$IOS" = "true" ]; then
- cmake .. -DCMAKE_SYSTEM_NAME=iOS -DCMAKE_OSX_DEPLOYMENT_TARGET=11.0 -DVULKAN_SDK="$VULKAN_SDK" $1 -G "Xcode" || return
+ cmake .. -DCMAKE_SYSTEM_NAME=iOS -DCMAKE_OSX_DEPLOYMENT_TARGET=11.0 -DVULKAN_SDK="$VULKAN_SDK" $1 -G "Xcode" -T buildsystem=1 || return
XCODE_BUILD_SETTINGS="CODE_SIGN_IDENTITY= CODE_SIGNING_REQUIRED=NO"
else
- cmake .. $1 -G "Xcode" || return
+ cmake .. $1 -G "Xcode" -T buildsystem=1 || return
XCODE_BUILD_SETTINGS=""
fi
xcodebuild -configuration ${CONFIG} ${XCODE_BUILD_SETTINGS} | xcpretty && return ${PIPESTATUS[0]}
diff --git a/BuildTools/Scripts/travis/build_install.sh b/BuildTools/Scripts/travis/build_install.sh
index baa5d676..8e0d026a 100755
--- a/BuildTools/Scripts/travis/build_install.sh
+++ b/BuildTools/Scripts/travis/build_install.sh
@@ -10,10 +10,10 @@ fi
if [ "$TRAVIS_OS_NAME" = "osx" ]; then
if [ "$IOS" = "true" ]; then
- cmake .. $1 -DCMAKE_SYSTEM_NAME=iOS -DCMAKE_OSX_DEPLOYMENT_TARGET=11.0 -DVULKAN_SDK="$VULKAN_SDK" -DCMAKE_INSTALL_PREFIX=install -G "Xcode" || return
+ cmake .. $1 -DCMAKE_SYSTEM_NAME=iOS -DCMAKE_OSX_DEPLOYMENT_TARGET=11.0 -DVULKAN_SDK="$VULKAN_SDK" -DCMAKE_INSTALL_PREFIX=install -G "Xcode" -T buildsystem=1 || return
XCODE_BUILD_SETTINGS="CODE_SIGN_IDENTITY= CODE_SIGNING_REQUIRED=NO"
else
- cmake .. $1 -DCMAKE_INSTALL_PREFIX=install -G "Xcode" || return
+ cmake .. $1 -DCMAKE_INSTALL_PREFIX=install -G "Xcode" -T buildsystem=1 || return
XCODE_BUILD_SETTINGS=""
fi
xcodebuild -target install -configuration ${CONFIG} ${XCODE_BUILD_SETTINGS} | xcpretty && return ${PIPESTATUS[0]}